<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Keluarga</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                    <span>Data Keluarga</span>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card bg-body bg-opacity-50 shadow-sm">
<!--                <div class="card-header">-->
<!--                    <h4>List</h4>-->
<!--                </div>-->
                <div class="card-body bg-body bg-opacity-50 shadow-sm">
                    <button type="button" th:if="${submit == null}" class="btn btn-primary rounded-pill" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);" data-bs-toggle="modal" data-bs-target="#exampleModal">
                        Tambah Data Keluarga
                    </button>
                    <br>

                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <form th:action="@{/form/keluarga}" method="post">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="mb-3">
                                            <label>Nama</label>
                                            <input type="text" name="nama" class="form-control" required>
                                        </div>
                                        <div class="mb-3">
                                            <label>Tanggal Lahir</label>
                                            <input type="date" name="tanggalLahir" class="form-control" required>
                                        </div>
                                        <div class="mb-3">
                                            <label>Jenis Kelamin</label>
                                            <select name="jenisKelamin" class="form-select" required>
                                                <option value="" selected disabled>-- Pilih --</option>
                                                <option value="PRIA">Laki-laki</option>
                                                <option value="WANITA">Perempuan</option>
                                            </select>
                                        </div>
                                        <div class="mb-3">
                                            <label>Pekerjaan</label>
                                            <input type="text" name="pekerjaan" class="form-control"/>
                                        </div>
                                        <div class="mb-3">
                                            <label>Sebagai</label>
                                            <select name="jenis" class="form-select" required>
                                                <option value="" selected disabled>-- Pilih --</option>
                                                <option value="Suami">Suami</option>
                                                <option value="Istri">Istri</option>
                                                <option value="Ayah">Ayah</option>
                                                <option value="Ibu">Ibu</option>
                                                <option value="Anak">Anak</option>
                                                <option value="Saudara Kandung">Saudara Kandung</option>
                                            </select>
                                        </div>
                                        <input type="hidden" name="pendaftar" th:value="${id}">
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary rounded-pill" data-bs-dismiss="modal">Close</button>
                                        <button type="submit" class="btn btn-primary rounded-pill">Save changes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <br>
                    <div class="table-responsive">
                        <table class="table table-hover table-striped small">
                            <thead class="table-dark" style="--bs-table-bg:#15408d;">
                            <tr>
                                <th>#</th>
                                <th>Nama</th>
                                <th>Sebagai</th>
                                <th>Jenis Kelamin</th>
                                <th>Tanggal Lahir</th>
                                <th>Pekerjaan</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="align-middle" th:each="data, row:${list}">
                                <td th:text="${(row.index + 1)}"></td>
                                <td th:text="${data.nama}"></td>
                                <td th:text="${data.jenis}"></td>
                                <td th:text="${data.jenisKelamin}"></td>
                                <td th:text="${data.tanggalLahir}"></td>
                                <td th:text="${data.pekerjaan}"></td>
                                <td>
                                    <form th:if="${submit == null}" method="post" th:action="@{/form/delete/keluarga(keluarga=${data.id})}">
                                        <button type="submit" class="btn btn-danger btn-sm"
                                                onclick="return confirm('Are you sure want to delete this?')">
                                            hapus
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                    </div>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-md-5 col-sm-5">
                            <div th:if="${submit != null}"><div class="alert alert-warning p-2" th:text="${submit}"></div></div>
                        </div>
                        <div class="col-md-7 col-sm-7" style="text-align: right;">
                            <a th:href="@{/form/pendidikan}" class="btn btn-success rounded-pill">Selanjutnya</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </main>
</main>
</body>
</html>